#!/bin/sh

# copy_user_settings.sh

MP=/mnt/inactive_rootfs

if ! cp /etc/network/interfaces ${MP}/etc/network/interfaces
then
	echo "Konnte /etc/network/interfaces nicht ins neue rootfs (aktuell gemountet in ${MP}) kopieren."
	exit 1
fi

if [ -f /etc/wpa_supplicant.conf ]
then
    if ! cp /etc/wpa_supplicant.conf ${MP}/etc/wpa_supplicant.conf
    then
	    echo "Konnte /etc/wpa_supplicant.conf nicht ins neue rootfs (aktuell gemountet in ${MP}) kopieren."
	    exit 1
	fi
fi

